/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package krowa;

/**
 *
 * @author Karol
 */
public class CowView extends javax.swing.JFrame {

    /**
     * Creates new form CowView
     */
    public CowView() {
        initComponents();
//        setSize(1280, 720);
        cowPanel.initCowPanel();
        test2D();
    }
    
    public void test1D() {
        Thread t = new Thread() {
            @Override
            public void run() {
                //cowPanel.makeMove(5, -8);
            };
        };
        t.start();
    }
    
    public void test2D() {
        Thread t = new Thread() {
            @Override
            public void run() {
                //cowPanel.makeMove(new Move(13, -4, Direction.LEFT, 23));
            };
        };
        t.start();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        cowPanel = new krowa.CowPanel2D();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setResizable(false);

        cowPanel.setBackground(new java.awt.Color(255, 255, 255));
        cowPanel.setMaximumSize(new java.awt.Dimension(1280, 720));
        cowPanel.setMinimumSize(new java.awt.Dimension(1280, 720));
        cowPanel.setPreferredSize(new java.awt.Dimension(1280, 720));

        javax.swing.GroupLayout cowPanelLayout = new javax.swing.GroupLayout(cowPanel);
        cowPanel.setLayout(cowPanelLayout);
        cowPanelLayout.setHorizontalGroup(
            cowPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 1280, Short.MAX_VALUE)
        );
        cowPanelLayout.setVerticalGroup(
            cowPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 720, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(cowPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(cowPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        
        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new CowView().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private krowa.CowPanel cowPanel;/*
    private javax.swing.JPanel cowPanel;
    */
    // End of variables declaration//GEN-END:variables
}
